/*
 *			u p s t r . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	upstr	Convert String to Upper Case
index		convert String to upper case

synopsis

	char *
	upstr(source)
	 char *source;	/* pointer to string to be converted */

description

	upstr() converts a null-terminated string to upper case,
	and returns a pointer to the string.

bugs

author

	Machiavelli Systems

#endif

#include "symbols.h"


upstr(source)
char *source;
{
char	*positn;

positn = source;			/* initialise */
while(*positn != ENDSTRING)		/* toupper if lowercase */
	{
	*positn = toupper(*positn);
	positn++;
	};
return(source);
}
